Bug 70871 - up2date fails (resolving dependencies?)
up2date fails (resolving dependencies?)
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-08-06 07:27 EDT by Michael Young
Modified: 2015-01-07 18:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-08 22:36:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Young 2002-08-06 07:27:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; SunOS 5.9 sun4u)

Description of problem:
up2date -l exits silently at the Testing RPM inter-dependencies stage
without outputing any hashes, or listing any packages. It doesn't upgrade a
named package either, probably failing at the same point. This is version
up2date-2.9.33 - it works again if I downgrade to up2date-2.9.30

How reproducible:

Steps to Reproduce:
1. up2date -l
Comment 1 Lamar Owen 2002-08-06 19:52:34 EDT
 Additional information: when started from the command line, called simply as 
up2date with no options, then selecting to override configuration (to update 
the kernel), I get the same behavior.  However, I also see the following 
 ** (up2date:2446): WARNING **: could not find handler `onRegPackagePageBack' 
Segmentation Fault
Comment 2 Lamar Owen 2002-08-06 19:54:45 EDT
 Disregared my previous message -- it's a different bug. Sorry.
Comment 3 Lamar Owen 2002-08-06 19:59:36 EDT
 After thinking a minute, it is the same bug, just in the GUI instead of the 
batch mode.  The GUI gets to the same point -- resolving RPM interdependencies 
and then I get the Segmentation Fault (the WARNING is from much earlier in the 
program execution).
Comment 4 Michael Young 2002-08-09 05:33:34 EDT
It is working again in up2date-2.9.38 from rawhide (though only after upgrading
the rpm packages to 4.1-0.75). I am closing this bug.

Note You need to log in before you can comment on or make changes to this bug.